# TaskStartEvent

interface TaskStartEvent : TaskProgressEvent, StartEvent

An event that informs about a task having started its execution.

#### Since

2.5

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
abstract fun getDescriptor(): TaskOperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long